Subject: Re: Text file created from the keyboard is DOS termninated
From: <[email-masked]>
To: <[email-masked]>
Cc: "Rolf Campbell" <[email-masked]>, <[email-masked]>
Date: Sun, 8 Dec 2002 08:10:52 -0000

> Your are using textmode mounts.  Worx fine with binmode:

Thanks for trying this out. I'm not using textmode mounts; and it doesn't
seem to be working fine with binmode. Contrast the two methods of textfile
creation in the following snippet:

============
 ~> mount
c:\Cygwin\bin on /usr/bin type system (binmode)
c:\Cygwin\lib on /usr/lib type system (binmode)
c:\Cygwin on / type system (binmode)
c: on /cygdrive/c type user (binmode,noumount)

~> cat > file1 << X
> line1
> line2
> X
~> od -tx1 file1
0000000 6c 69 6e 65 31 0a 6c 69 6e 65 32 0a
0000014

~> cat > file2
line1
line2
~> od -tx1 file2
0000000 6c 69 6e 65 31 0d 0a 6c 69 6e 65 32 0d 0a
0000016
~>
============

So I can get what I require (Unix terminators) by appending <<X to the cat
line; but I'd still like to know the reason for the intrusive 0d under the
other method, and whether it is a "bug" in the sense that it really
shouldn't be happening at all (which is what I feel about it).

Fergus

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/